Subject: bug#63708: 29.0.60; rust-ts-mode not properly handling apostrophe

From: Йордан Миладинов<[email-masked]>
Date: Mon, 29 May 2023 14:54:15 +0000

Here's a patch that takes into account both your and Randy's remarks. It fixes both rust-ts-mode and go-ts-mode in a total of 15 lines.

$ git diff --stat HEAD~ HEAD
 lisp/progmodes/go-ts-mode.el   |  1 +
 lisp/progmodes/rust-ts-mode.el | 14 ++++++++++++--
 2 files changed, 13 insertions(+), 2 deletions(-)

If that doesn't work as well, I don't mind Randy re-implementing and committing the fixes.

On Monday, May 29th, 2023 at 5:26 PM, Eli Zaretskii <[email-masked]> wrote:
> I see in the discussion of that commit (bug#10893) you say you
> submitted the copyright assignment form, but I don't see your
> assignment on file. Did the process ever end, and if so, do you have
> somewhere the signed PDF file of your assignment, which you are
> supposed to receive when the process ends?

If I remember correctly, I sent the agreement over the post, but I never received any confirmation or response. As for the scanned PDF, it's long lost, I believe.

If you agree, I can sign a new one, complete the procedure and then examine all ts-modes for the same bug.

Cheers! YM